> For the complete documentation index, see [llms.txt](https://docs.xaman.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xaman.dev/readme.md).

# Build on Xaman

You focus on building your cool app. We make sure your app & Xaman users can interact. Safely & smoothly.

**Welcome to the Xaman Developer Docs!**\
\
**Xaman is a powerful platform designed to make your interaction with the XRP Ledger (XRPL) seamless. Whether you are an experienced developer or just getting started, Xaman offers a range of features, including xApps, payloads, transaction signing, and much more.**\
\
**This documentation will guide you through the essentials to get you up and running in no time.**

While app users can simply use the Xaman app to manage their XRP ledger accounts, balances and transactions, the true power of Xaman can be experienced through the Xaman SDK, using our platform made available for developers.

{% hint style="success" %}
Want to dive straight in? You're one click away from the [Examples / User stories](/js-ts-sdk/examples-user-stories.md)
{% endhint %}

## Ways to interact

The Xaman SDK can be used to interact with Xaman users. An example can be a "sign request", where the user is asked to sign a transaction, identification (sign in) or a user interface presented in Xaman (xApp).

{% hint style="info" %}
What are you going to build? Read more about specific user & developer flows:
{% endhint %}

<table data-column-title-hidden data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th><th data-hidden data-card-cover data-type="files"></th></tr></thead><tbody><tr><td><strong>Client side web apps "Web3"</strong></td><td><a href="/environments/browser-web3.md">Browser (&quot;Web3&quot;)</a></td><td><a href="https://416994804-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F61N8uUPfBBFEqPdV1U4Y%2Fuploads%2Fgit-blob-aad66d46fc7c0dcf939ee6fed27bc0c3107a84b0%2Fbrowsers.png?alt=media">browsers.png</a></td></tr><tr><td><strong>xApps: your web app in Xaman</strong></td><td><a href="/environments/xapps-dapps.md">xApps (&quot;dApps&quot;)</a></td><td><a href="https://416994804-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F61N8uUPfBBFEqPdV1U4Y%2Fuploads%2Fgit-blob-57271dcfe777ddd62bdb2b0a3548db5ff7c2dd6b%2Fxapps.png?alt=media">xapps.png</a></td></tr><tr><td><strong>Backend integrations</strong></td><td><a href="/environments/backend-sdk-api.md">Backend (SDK / API)</a></td><td><a href="https://416994804-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F61N8uUPfBBFEqPdV1U4Y%2Fuploads%2Fgit-blob-54d21a1234d8f53688831ca26c2c8f31095eaed5%2Fnodejs.png?alt=media">nodejs.png</a></td></tr><tr><td><strong>Xaman as Identity Provider</strong></td><td><a href="/environments/identity-oauth2-openid.md">Identity (OAuth2, OpenID)</a></td><td><a href="https://416994804-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F61N8uUPfBBFEqPdV1U4Y%2Fuploads%2Fgit-blob-4ff440de82cbb0eedb5d7bb617c6e1de01d6d570%2Fopenid.png?alt=media">openid.png</a></td></tr></tbody></table>

## Packages

The Xaman SDK offers a ready to use Javascript & Typescript SDK for all frontend and backend projects. With only minor differences depending on the environment you are using the SDK in, the SDK is the most convenient way to interact with Xaman users & the Xaman ecosystem.

If you are not working in a [Javascript/Typescript](https://www.npmjs.com/package/xumm) environment and prefer to build your own backend implementation, you can use our [API (endpoint) documentation](https://xumm.readme.io/reference/about) or use one of our SDKs for [Python (PyPI)](https://pypi.org/project/xumm-sdk-py/), [PHP (Packagist)](https://packagist.org/packages/xrpl/xumm-sdk-php) or [C# (NuGet)](https://www.nuget.org/packages/XUMM.NET.SDK)

| Language                    | Maintenance     | Package                                                                                                                          |
| --------------------------- | --------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Typescript / Javascript** | **XRPL Labs** ⭐ | [![npm version](https://badge.fury.io/js/xumm.svg)](https://www.npmjs.com/xumm) / [CDN](https://xumm.app/assets/cdn/xumm.min.js) |
| Python                      | Community       | [![python version](https://badge.fury.io/py/xumm-sdk-py.svg)](https://pypi.org/project/xumm-sdk-py/)                             |
| C# (.NET)                   | Community       | [![NuGet version](https://badge.fury.io/nu/XUMM.NET.SDK.svg)](https://badge.fury.io/nu/XUMM.NET.SDK)                             |
| PHP                         | Community       | [![Packagist PHP version](https://badgen.net/badge/PHP%20Package/8.1/green)](https://packagist.org/packages/xrpl/xumm-sdk-php)   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xaman.dev/readme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
